import { ClothingItem } from '../Products/Contracts/ClothingItem';

/**
 * Интерфейс для фабрик одежды.
 */
export interface AbstractClothingFactory {
    /**
     * Метод для создания предмета одежды.
     * @returns {ClothingItem} - Возвращает созданный предмет одежды.
     */
    createClothingItem(): ClothingItem;
}
