import {ClothingItem} from './Contracts/ClothingItem';

/**
 * Класс, представляющий женское платье.
 * Реализует интерфейс ClothingItem.
 */
export class Dress implements ClothingItem {
    /**
     * Метод для получения описания платья.
     * @returns {string} - Описание платья.
     */
    getDescription(): string {
        // Возвращает описание платья.
        return "Женское платье";
    }

    /**
     * Метод для получения цены платья.
     * @returns {number} - Цена платья.
     */
    getPrice(): number {
        // Возвращает цену платья.
        return 8000;
    }
}
