import { Suit } from '../Products/Suit';

/**
 * Фабрика для создания мужских костюмов.
 */
export class SuitFactory {
    /**
     * Метод для создания нового костюма.
     * @returns {Suit} - Возвращает новый экземпляр костюма.
     */
    createSuit(): Suit {
        // Создает и возвращает новый экземпляр костюма.
        return new Suit();
    }
}
