/**
 * Интерфейс для предмета одежды.
 */
export interface ClothingItem {
    /**
     * Метод для получения описания предмета одежды.
     * @returns {string} - Описание предмета одежды.
     */
    getDescription(): string;

    /**
     * Метод для получения цены предмета одежды.
     * @returns {number} - Цена предмета одежды.
     */
    getPrice(): number;
}
