import { ClothingItem } from './ClothingItem';

/**
 * Интерфейс для сложного предмета одежды, который расширяет интерфейс ClothingItem.
 */
export interface ComplexClothingItem extends ClothingItem {
    /**
     * Метод для получения компонентов, из которых состоит сложный предмет одежды.
     * @returns {string[]} - Массив названий компонентов.
     */
    getComponents(): string[];
}
