import { ClothingItem } from '../Products/Contracts/ClothingItem';

/**
 * Абстрактный класс для прототипов предметов одежды.
 * Позволяет создавать клоны предметов одежды.
 */
export abstract class ClothingPrototype {
    /**
     * Метод для клонирования предмета одежды.
     * @returns {ClothingItem} - Клонированный объект.
     */
    abstract clone(): ClothingItem;
}
